Package org.silverpeas.components.websites.model

# Class IconDetail

java.lang.Object
org.silverpeas.components.websites.model.IconDetail

All Implemented Interfaces:
  `Serializable`

public class IconDetail extends Object implements Serializable

Author:
  cbonin
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IconDetail()`
  IconDetail default constructor
  `IconDetail(String idIcon, String name, String description, String address)`
  IconDetail constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  `String`
  `getDescription()`
  `SitePK`
  `getIconPK()`
  `String`
  `getName()`
  `void`
  `init(String idIcon, String name, String description, String address)`
  init
  `void`
  `setAddress(String val)`
  `void`
  `setDescription(String val)`
  `void`
  `setIconPK(SitePK val)`
  `void`
  `setName(String val)`
  `String`
  `toString()`
  toString

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IconDetail

    public IconDetail()
    IconDetail default constructor

  - ### IconDetail

    public IconDetail(String idIcon, String name, String description, String address)
    IconDetail constructor

- ## Method Details

  - ### getIconPK

    public SitePK getIconPK()

  - ### setIconPK

    public void setIconPK(SitePK val)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String val)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String val)

  - ### getAddress

    public String getAddress()

  - ### setAddress

    public void setAddress(String val)

  - ### init

    public void init(String idIcon, String name, String description, String address)
    init

  - ### toString

    public String toString()
    toString
    Overrides:
      `toString` in class `Object`